/* RJSensor.h */

#ifndef ROKOJORI__SENSOR_H
#define ROKOJORI__SENSOR_H

#include "./RJNetworkNode.h"


class RJSensor : public RJNetworkNode 
{
  GDCLASS(RJSensor, RJNetworkNode);

protected:
  static void _bind_methods();

public:

  GDVIRTUAL0R( float, getValue );
  GDVIRTUAL0R( bool, isActive );
  GDVIRTUAL0R( bool, wasActive );
  GDVIRTUAL1( updateValue, float );

  RJSensor();
  ~RJSensor();
};


#endif // ROKOJORI__SENSOR_H