
/* RJSequenceAction.h */

#ifndef ROKOJORI__SEQUENCE_ACTION_H
#define ROKOJORI__SEQUENCE_ACTION_H


#include "./RJAction.h"


class RJSequenceAction : public RJAction
{
  GDCLASS(RJSequenceAction, RJAction);

protected:
  static void _bind_methods();
  
  int idCounter = 0;

public:

  int dispatchStart();
  void dispatchCancelled( int id );
  void dispatchEnd( int id );

  int getLastSequenceActionID();
  GDVIRTUAL1( cancelAction, int );

  /* signal onSequenceDone */

  RJSequenceAction();
 
  ~RJSequenceAction();
};


#endif // ROKOJORI__SEQUENCE_ACTION_H
