
/* RJTimeLine.h */

#ifndef ROKOJORI__TIME_LINE_H
#define ROKOJORI__TIME_LINE_H


#include "core/io/resource.h"


class RJTimeLine : public Resource 
{
  GDCLASS(RJTimeLine, Resource);

protected:
  static void _bind_methods();
  

  bool isLooping;
  float loopStart;
  float loopEnd;
  float startSpeed;
  bool autoStart;

public:

  bool get_isLooping(); void set_isLooping( bool p_isLooping );
  float get_loopStart(); void set_loopStart( float p_loopStart );
  float get_loopEnd(); void set_loopEnd( float p_loopEnd );
  float get_startSpeed(); void set_startSpeed( float p_startSpeed );
  bool get_autoStart(); void set_autoStart( bool p_autoStart );

  RJTimeLine();
 
  ~RJTimeLine();
};


#endif // ROKOJORI__TIME_LINE_H
