
/* RJTimeLineManager.h */

#ifndef ROKOJORI__TIME_LINE_MANAGER_H
#define ROKOJORI__TIME_LINE_MANAGER_H

#include "./RJTimeLine.h"
#include "./RJNetworkNode.h"


class RJTimeLineManager : public RJNetworkNode 
{
  GDCLASS(RJTimeLineManager, RJNetworkNode);

protected:
  static void _bind_methods();
  

  

public:

  GDVIRTUAL1R( int, getTimeLineIndex, Ref<RJTimeLine> );
  GDVIRTUAL0R( int, getTimeLineSize );
  GDVIRTUAL0R( int, createID );
  GDVIRTUAL1R( double, getLastPosition, int );
  GDVIRTUAL1R( double, getPosition, int );
  GDVIRTUAL2( setPosition, int, double );
  GDVIRTUAL1R( double, getSpeed, int );
  GDVIRTUAL2( setSpeed, int, double );
  GDVIRTUAL1R( bool, getPlayState, int );
  GDVIRTUAL2( setPlayState, int, bool );
  GDVIRTUAL4( scheduleEvent, int, double, int, bool );
  GDVIRTUAL5( scheduleSpan, int, double, double, int, bool );
  /* signal onEvent */
  /* signal onSpan */

  RJTimeLineManager();
 
  ~RJTimeLineManager();
};


#endif // ROKOJORI__TIME_LINE_MANAGER_H
