
/* RJVirtualCamera3D.h */

#ifndef ROKOJORI__VIRTUAL_CAMERA_3_D_H
#define ROKOJORI__VIRTUAL_CAMERA_3_D_H


#include "scene/3d/node_3d.h"


class RJVirtualCamera3D : public Node3D 
{
  GDCLASS(RJVirtualCamera3D, Node3D);

protected:
  static void _bind_methods();
  

  

public:

  GDVIRTUAL0R( Vector3, getCameraPosition );
  GDVIRTUAL0R( Quaternion, getCameraRotation );
  GDVIRTUAL0R( float, getCameraFOV );

  RJVirtualCamera3D();
 
  ~RJVirtualCamera3D();
};


#endif // ROKOJORI__VIRTUAL_CAMERA_3_D_H
