
/* RJNumberProperty.h */

#ifndef ROKOJORI__NUMBER_PROPERTY_H
#define ROKOJORI__NUMBER_PROPERTY_H

#include "./RJAction.h"
#include "./RJNetworkNode.h"


class RJNumberProperty : public RJNetworkNode 
{
  GDCLASS(RJNumberProperty, RJNetworkNode);

protected:
  static void _bind_methods();
  

  

public:

  GDVIRTUAL1( set, double );
  GDVIRTUAL0R( double, get );
  /* signal changed */
  GDVIRTUAL0R( Ref<RJAction>, get_onChanged );
  GDVIRTUAL1( set_onChanged, Ref<RJAction> );

  RJNumberProperty();
 
  ~RJNumberProperty();
};


#endif // ROKOJORI__NUMBER_PROPERTY_H
