
/* RJTimeLineManager.cpp */

#include "RJTimeLineManager.h"


void RJTimeLineManager::_bind_methods() 
{
  GDVIRTUAL_BIND( getTimeLineIndex, "timeLine" );
  GDVIRTUAL_BIND( getTimeLineSize );
  GDVIRTUAL_BIND( createID );
  GDVIRTUAL_BIND( getLastPosition, "timeLineIndex" );
  GDVIRTUAL_BIND( getPosition, "timeLineIndex" );
  GDVIRTUAL_BIND( setPosition, "timeLineIndex", "position" );
  GDVIRTUAL_BIND( getSpeed, "timeLineIndex" );
  GDVIRTUAL_BIND( setSpeed, "timeLineIndex", "speed" );
  GDVIRTUAL_BIND( getPlayState, "timeLineIndex" );
  GDVIRTUAL_BIND( setPlayState, "timeLineIndex", "playState" );
  GDVIRTUAL_BIND( scheduleEvent, "timeLineIndex", "position", "callbackID", "isPersistent" );
  GDVIRTUAL_BIND( scheduleSpan, "timeLineIndex", "startPosition", "endPosition", "callbackID", "isPersistent" );
  ADD_SIGNAL (MethodInfo( "onEvent" , PropertyInfo(Variant::INT, "callbackID")) );
  ADD_SIGNAL (MethodInfo( "onSpan" , PropertyInfo(Variant::INT, "callbackID"), PropertyInfo(Variant::INT, "spanType")) );
}

RJTimeLineManager::RJTimeLineManager() 
{
  
}

RJTimeLineManager::~RJTimeLineManager()
{
  
}



